org.keycloak.models

## Interface ClientSessionModel

- All Known Implementing Classes:
    ClientSessionAdapter, PersistentClientSessionAdapter

      public interface ClientSessionModel

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ClientSessionModel.Action`
    `static class` | `ClientSessionModel.ExecutionStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_KEY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredAction(String action)`
    `void` | `addRequiredAction(UserModel.RequiredAction action)`
    `void` | `clearExecutionStatus()`
    `void` | `clearUserSessionNotes()`
    `String` | `getAction()`
    `UserModel` | `getAuthenticatedUser()`
    `String` | `getAuthMethod()` Authentication request type, i.e.
    `ClientModel` | `getClient()`
    `Map<String,ClientSessionModel.ExecutionStatus>` | `getExecutionStatus()`
    `String` | `getId()`
    `String` | `getNote(String name)`
    `Map<String,String>` | `getNotes()`
    `Set<String>` | `getProtocolMappers()`
    `RealmModel` | `getRealm()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRequiredActions()` Required actions that are attached to this client session.
    `Set<String>` | `getRoles()`
    `int` | `getTimestamp()`
    `UserSessionModel` | `getUserSession()`
    `Map<String,String>` | `getUserSessionNotes()` These are notes you want applied to the UserSessionModel when the client session is attached to it.
    `void` | `removeNote(String name)`
    `void` | `removeRequiredAction(String action)`
    `void` | `removeRequiredAction(UserModel.RequiredAction action)`
    `void` | `setAction(String action)`
    `void` | `setAuthenticatedUser(UserModel user)`
    `void` | `setAuthMethod(String method)`
    `void` | `setExecutionStatus(String authenticator, ClientSessionModel.ExecutionStatus status)`
    `void` | `setNote(String name, String value)`
    `void` | `setProtocolMappers(Set<String> protocolMappers)`
    `void` | `setRedirectUri(String uri)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSession(UserSessionModel userSession)`
    `void` | `setUserSessionNote(String name, String value)` These are notes you want applied to the UserSessionModel when the client session is attached to it.

- - ### Field Detail

    - #### ACTION_KEY

          static final String ACTION_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

    - #### getRealm

          RealmModel getRealm()

    - #### getClient

          ClientModel getClient()

    - #### getUserSession

          UserSessionModel getUserSession()

    - #### setUserSession

          void setUserSession(UserSessionModel userSession)

    - #### getRedirectUri

          String getRedirectUri()

    - #### setRedirectUri

          void setRedirectUri(String uri)

    - #### getTimestamp

          int getTimestamp()

    - #### setTimestamp

          void setTimestamp(int timestamp)

    - #### getAction

          String getAction()

    - #### setAction

          void setAction(String action)

    - #### getRoles

          Set<String> getRoles()

    - #### setRoles

          void setRoles(Set<String> roles)

    - #### getProtocolMappers

          Set<String> getProtocolMappers()

    - #### setProtocolMappers

          void setProtocolMappers(Set<String> protocolMappers)

    - #### getExecutionStatus

          Map<String,ClientSessionModel.ExecutionStatus> getExecutionStatus()

    - #### setExecutionStatus

          void setExecutionStatus(String authenticator,
                                  ClientSessionModel.ExecutionStatus status)

    - #### clearExecutionStatus

          void clearExecutionStatus()

    - #### getAuthenticatedUser

          UserModel getAuthenticatedUser()

    - #### setAuthenticatedUser

          void setAuthenticatedUser(UserModel user)

    - #### getAuthMethod

          String getAuthMethod()

      Authentication request type, i.e. OAUTH, SAML 2.0, SAML 1.1, etc.
      Returns:

    - #### setAuthMethod

          void setAuthMethod(String method)

    - #### getNote

          String getNote(String name)

    - #### setNote

          void setNote(String name,
                       String value)

    - #### removeNote

          void removeNote(String name)

    - #### getNotes

          Map<String,String> getNotes()

    - #### getRequiredActions

          Set<String> getRequiredActions()

      Required actions that are attached to this client session.
      Returns:

    - #### addRequiredAction

          void addRequiredAction(String action)

    - #### removeRequiredAction

          void removeRequiredAction(String action)

    - #### addRequiredAction

          void addRequiredAction(UserModel.RequiredAction action)

    - #### removeRequiredAction

          void removeRequiredAction(UserModel.RequiredAction action)

    - #### setUserSessionNote

          void setUserSessionNote(String name,
                                  String value)

      These are notes you want applied to the UserSessionModel when the client session is attached to it.
      Parameters:
        `name` -
        `value` -

    - #### getUserSessionNotes

          Map<String,String> getUserSessionNotes()

      These are notes you want applied to the UserSessionModel when the client session is attached to it.
      Returns:

    - #### clearUserSessionNotes

          void clearUserSessionNotes()

Copyright © 2016 JBoss by Red Hat. All rights reserved.